package	jp.co.sds_corp.report;

import java.awt.Color;

/**
* 罫線の情報を保持します。
*/
public class Border
{
	/** 罫線の位置 */
	public static final int	TOP				= 1;
	/** 罫線の位置 */
	public static final int	BOTTOM			= 2;
	/** 罫線の位置 */
	public static final int	RIGHT			= 3;
	/** 罫線の位置 */
	public static final int	LEFT			= 4;

	/** 罫線の種類 */
	public static final int	TYPE_NONE		= 0;
	/** 罫線の種類 */
	public static final int	TYPE_LINE		= 1;
	/** 罫線の種類 */
	public static final int	TYPE_DOT		= 2;
	/** 罫線の種類 */
	public static final int	TYPE_DASH_DOT	= 3;
	/** 罫線の種類 */
	public static final int	TYPE_DOUBLE		= 4;

	/** 罫線の幅 */
	public static final int	WIDTH_NORMAL	= 1;
	/** 罫線の幅 */
	public static final int	WIDTH_THIN		= 2;
	/** 罫線の幅 */
	public static final int	WIDTH_THICK		= 3;

	public Border( int type ) {
		this( type, WIDTH_NORMAL, Color.black );
	}

	public Border( int type, int width ) {
		this( type, width, Color.black );
	}

	public Border( int type, int width, Color color ) {
		this.type = type;
		this.width = width;
		this.color = color;
	}

	public String toString() {
		String ret = "border[";
		switch ( type ) {
		case TYPE_LINE: ret += "LINE;"; break;
		case TYPE_DOT: ret += "DOT;"; break;
		case TYPE_DASH_DOT: ret += "DASH_DOT;"; break;
		case TYPE_DOUBLE: ret += "DOUBLE;"; break;
		case TYPE_NONE:
		default:
			ret += "NONE;";
		}
		switch ( width ) {
		case WIDTH_THIN: ret += "THIN;"; break;
		case WIDTH_THICK: ret += "THICK;"; break;
		case WIDTH_NORMAL:
		default:
			ret += "NORMAL;";
		}
		ret += "]";
		return ret;
	}

	Color	color;	// 色
	int	width;	// 太さ
	int	type;	// 種類

	/**
	* 色を設定します。
	* @param	var		設定するデータ
	*/
	public void setColor( Color var ) {
		this.color = var;
	}
	/**
	* 色を取得します。
	* @return	色
	*/
	public Color getColor() {
		return color;
	}

	/**
	* 太さを設定します。
	* @param	var		設定するデータ
	*/
	public void setWidth( int var ) {
		this.width = var;
	}
	/**
	* 太さを取得します。
	* @return	太さ
	*/
	public int getWidth() {
		return width;
	}

	/**
	* 種類を設定します。
	* @param	var		設定するデータ
	*/
	public void setType( int var ) {
		this.type = var;
	}
	/**
	* 種類を取得します。
	* @return	種類
	*/
	public int getType() {
		return type;
	}


}
